Create a job run
curl --request POST \
--url https://api.cloud.wherobots.com/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.cloud.wherobots.com/runs"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.cloud.wherobots.com/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/runs"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cloud.wherobots.com/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();{
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"name": "<string>",
"triggeredBy": {
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"roles": [
{
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"name": "<string>",
"organizationId": "<string>",
"policies": [
{
"locator": "<string>",
"action": "<string>",
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
]
}
],
"email": "<string>",
"name": "<string>"
},
"payload": {
"name": "<string>",
"version": "<string>",
"runPython": {
"uri": "<string>",
"args": []
},
"runJar": {
"uri": "<string>",
"args": [],
"mainClass": "<string>"
},
"timeoutSeconds": 3600,
"environment": {
"sparkConfigs": {},
"dependencies": []
}
},
"startTime": "2023-11-07T05:31:56Z",
"completeTime": "2023-11-07T05:31:56Z",
"kubeApp": {
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"instanceId": "<string>",
"createdById": "<string>",
"cpuUsage": 123,
"regionName": "<string>",
"message": "<string>",
"apiPayload": {},
"appMeta": {
"spark_ui_url": "",
"spark_eventlogs_url": "",
"resolved_version": "<string>"
},
"events": []
}
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}Create a job run
POST
/
runs
Create a job run
curl --request POST \
--url https://api.cloud.wherobots.com/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.cloud.wherobots.com/runs"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.cloud.wherobots.com/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/runs"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cloud.wherobots.com/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();{
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"name": "<string>",
"triggeredBy": {
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"roles": [
{
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"name": "<string>",
"organizationId": "<string>",
"policies": [
{
"locator": "<string>",
"action": "<string>",
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
]
}
],
"email": "<string>",
"name": "<string>"
},
"payload": {
"name": "<string>",
"version": "<string>",
"runPython": {
"uri": "<string>",
"args": []
},
"runJar": {
"uri": "<string>",
"args": [],
"mainClass": "<string>"
},
"timeoutSeconds": 3600,
"environment": {
"sparkConfigs": {},
"dependencies": []
}
},
"startTime": "2023-11-07T05:31:56Z",
"completeTime": "2023-11-07T05:31:56Z",
"kubeApp": {
"id": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"instanceId": "<string>",
"createdById": "<string>",
"cpuUsage": 123,
"regionName": "<string>",
"message": "<string>",
"apiPayload": {},
"appMeta": {
"spark_ui_url": "",
"spark_eventlogs_url": "",
"resolved_version": "<string>"
},
"events": []
}
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}Authorizations
bearerTokenwherobotsApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json
Required string length:
8 - 255Pattern:
^[a-zA-Z0-9_\-\.]+$Available options:
TINY, SMALL, MEDIUM, LARGE, XLARGE, XXLARGE, micro, tiny, small, medium, large, x-large, 2x-large, 4x-large, medium-himem, large-himem, x-large-himem, 2x-large-himem, 4x-large-himem, x-large-hicpu, 2x-large-hicpu, x-large-matcher, 2x-large-matcher, micro-a10-gpu, tiny-a10-gpu, small-a10-gpu, medium-a10-gpu, large-a10-gpu, x-large-a10-gpu Model for the payload of Run with type == "python"
Show child attributes
Show child attributes
Model for the payload of Run with type == "python"
Show child attributes
Show child attributes
Model for runtime environment configs, include spark cluster configs, dependencies. When we have new configs like Dax configs, env vars, etc, we can add them here.
Show child attributes
Show child attributes
Response
Successful Response
Available options:
PENDING, RUNNING, FAILED, COMPLETED, CANCELLED, TIMED_OUT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

